#include "SND/snddef.h"

#include "SNDinc.h"

#include "snddbg.h"

#include "sndplay.h"
#include "sndvect.h"

#include "sndres.h"
#include "sndini.h"
#include "sndtheme.h"

tdstBlockResourceMem*	SND_fn_pstGetSelectedResource(void)
{
	return NULL;
}

SndBool SND_fn_bDoesSupervisaterSelectResource(void)
{
	return FALSE;
}


void SND_CALL SND_fn_vLaunchSupervisater(SND_tdstInitStruct *pInitStruct)
{
}

void SND_CALL SND_fn_vKillSupervisater()
{
}

void SND_CALL SND_fn_vSetSupervisaterActive(SndBool active)
{
}

SndBool SND_CALL SND_fn_bIsSupervisaterActive(void)
{
	return FALSE;
}

void SND_CALL dbgSND_fn_vAddEventToObject(long indice,long type,long asso,SND_tduRefEvt evt)
{
}

void SND_CALL dbgSND_fn_vKillEventToObject(long indice,long asso)
{
}

void SND_CALL dbgSND_fn_vSetPosObject(long indice,SoundParam* par)
{
}

void SND_CALL dbgSND_fn_vAddMicro(long indice)
{
}

void SND_CALL dbgSND_fn_vKillMicro(long indice)
{
}

void SND_CALL dbgSND_fn_vSetPosMicro(long indice,MicroParam* par)
{
}

void SND_CALL dbgSND_fn_vAddHistoric(SND_tduRefEvt evt,long indice,long obj_type,long asso,tdstBlockResourceMem* res)
{
}

void SND_CALL dbgSND_fn_vKillVolumeLine(long line)
{
}

void SND_CALL dbgSND_fn_vAddVolumeLine(long line)
{
}

void SND_CALL dbgSND_fn_vSetVolumeLine(long line,long vol)
{
}

void SND_CALL dbgSND_fn_vLoadBank(int iId)
{
}

void SND_CALL dbgSND_fn_vUnLoadBank(int iId)
{
}

void SND_CALL dbgSND_fn_vAddVoiceSample(long id,tduRefRes res,SampleParam *par)
{
}

void SND_CALL dbgSND_fn_vSetParVoiceSample(long id,SampleParam *par)
{
}

void SND_CALL dbgSND_fn_vDelVoiceSample(long id)
{
}

void SND_CALL dbgSND_fn_vPauseVoiceSample(long id)
{
}

void SND_CALL dbgSND_fn_vResumeVoiceSample(long id)
{
}

tdstBlockResourceMem*	SND_CALL dbgSND_fn_pstGetSelectedResource(void)
{
	return NULL;
}

SndBool					SND_CALL dbgSND_fn_bDoesSupervisaterSelectResource(void)
{
	return FALSE;
}

void SND_CALL dbgSND_fn_vSetProcessTimeSample(float ratio)
{
}

void SND_CALL dbgSND_fn_vInitListesSxdVirtual(long virtual_module,char* descrpition)
{
}

void SND_CALL dbgSND_fn_vRajListesSxdVirtual2(SND_tdhVirtualModule p_virtual_module)
{
}

void SND_fn_vRefreshSupervisater(void)
{
	dbgSND_fn_vRefreshSupervisater();
}

